%define upstream_name    Class-Gomor
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Class::Gomor - another class and object builder
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module is yet another class builder. This one adds parameter checking in
new constructor, that is to check for attributes existence, and definedness.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%dir %{perl_vendorlib}/Class/Gomor
%{perl_vendorlib}/Class/Gomor/*.pm
%{perl_vendorlib}/Class/Gomor.pm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.30.0-3.mga6
+ Revision: 1023970
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.30.0-2.mga6
+ Revision: 965636
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 836438
- update to 1.03

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 739088
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 683917
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 510160
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 364381
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 25904
- mageia rebuild
- remove unneeded obsoletes
- imported package perl-Class-Gomor


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 403013
- rebuild using %%perl_convert_version

* Sun May 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2010.0
+ Revision: 379209
- update to new version 1.02

* Sun Feb 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.01-4mdv2009.1
+ Revision: 340475
- obsoleting perl-Class-Gomor-Hash

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.01-3mdv2009.0
+ Revision: 255959
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.01-1mdv2008.1
+ Revision: 136683
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-1mdv2008.0
+ Revision: 19799
- 1.01


* Sat Jul 29 2006 <oeriksson@mandriva.com> 1.00-1mdv2007.0
- initial Mandriva package

